﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.IRA
@{
    ViewData["Title"] = "Index";
}
<script src="~/Script/Master/Layout.js"></script>
<section>
    @Html.HiddenFor(m => m.ID)
    @Html.HiddenFor(m => m.OrgId)
    @Html.HiddenFor(m => m.OrgName)
    <div class="right_section">
        <div class="pb-2 mt-3 mb-3 border-bottom box_title pl-4">
            Assign task for @Model.OrgName
            <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="TabMenu" asp-controller="ComplainceCustomRCM" asp-area="ApplicationManagement" asp-route-orgId="@Model.OrgId" asp-route-orgName="@Model.OrgName">Back to Menu</a>
        </div>
        <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    <div>
                        <div class="pb-2 mb-5 border-bottom box_subtitle">
                            Assessment Duration
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-2 col-sm-6 col-xs-12">
                                        @Html.Label("Assessment Start Date")
                                    </div>
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <input type="date" class="form-control" value="@Model.StartDate.ToString("yyyy-MM-dd")" id="StartDate" min="@DateTime.Now.ToString("yyyy-MM-dd")" onchange="$('#EndDate,#CompletedDate').val(''); $('#EndDate,#CompletedDate').attr('min', $(this).val());" />

                                    </div>
                                    <div class="col-md-2 col-sm-6 col-xs-12">
                                        @Html.Label("Assessment End Date")
                                    </div>
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <input type="date" class="form-control" value="@Model.EndDate.ToString("yyyy-MM-dd")" id="EndDate" min="@Model.StartDate.ToString("yyyy-MM-dd")" onchange="$('#CompletedDate').val(''); $('#CompletedDate').attr('max', $(this).val());" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div style="margin-top:37px">
                        <div class="pb-2 mb-5 border-bottom box_subtitle">
                            Task Assignment
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-2 col-sm-6 col-xs-12">
                                        @Html.Label("Assign to")
                                    </div>
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        @Html.DropDownListFor(m => m.AssessorID, Model.ddlAssessor, "--Select--", new { @class = "form-control m_no", required = "required" })
                                    </div>
                                    <div class="col-md-2 col-sm-6 col-xs-12">
                                        @Html.Label("Assessment to be completed by")
                                    </div>
                                    <div class="col-md-4 col-sm-6 col-xs-12">
                                        <input type="date" class="form-control" value="@Model.CompletedDate.ToString("yyyy-MM-dd")" id="CompletedDate" min="@Model.StartDate.ToString("yyyy-MM-dd")" max="@Model.EndDate.ToString("yyyy-MM-dd")" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div style="margin-top:37px">
                        <div class="pb-2 mb-5 border-bottom box_subtitle">
                            RCM
                        </div>
                    </div>
                    @{
                        int i = 1;
                    }
                    @foreach (var item in Model.RCMListByOrgID)
                    {
                        if (i == 1)
                        {
                            <div>
                                <div class="pb-2 mb-5 border-bottom box_subtitle">
                                    Latest RCM
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="RCMVersions">
                                        <input id="chklatestRCM" value="@item.ID" class="customcheckbtn" checked type="checkbox" />
                                        <label>@item.Name</label>
                                    </div>
                                </div>
                            </div>
                        }
                        else if (i == 2)
                        {
                            <div>
                                <div class="pb-2 mb-5 border-bottom box_subtitle">
                                    Previous RCM
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="RCMVersions">
                                        <input id="chk_" class="customcheckbtn" type="checkbox" />
                                        <label>@item.Name</label>
                                    </div>
                                </div>
                            </div>
                        }
                        else
                        {
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="RCMVersions">
                                        <input id="chk_" class="customcheckbtn" type="checkbox" />
                                        <label>@item.Name</label>
                                    </div>
                                </div>
                            </div>
                        }
                        i += 1;
                    }
                    <div style="margin-top:37px">
                        <input type="submit" class="btn btn-primary pull-right" onclick="return fn_saveCustomRCM()" value="Confirm and Save" />
                    </div>
                </div>
                </div>
            </div>
        </div>

</section>

<script>
    $(document).ready(function () {

    })

    function fn_saveCustomRCM() {
        if ($('#StartDate').val() == '') {
            toastr.error('Please enter Assessment start date!');
            return false;
        }
        if ($('#EndDate').val() == '') {
            toastr.error('Please enter Assessment end date!');
            return false;
        }
        if ($('#AssessorID').val() == '') {
            toastr.error('Please select assign to!');
            return false;
        }
        if ($('#CompletedDate').val() == '') {
            toastr.error('Please enter Assessment complete date!');
            return false;
        }
        var model = {
            ID: $('#ID').val(),
            OrgId: $("#OrgId").val(),
            StartDate: $('#StartDate').val(),
            EndDate: $("#EndDate").val(),
            AssessorID: $('#AssessorID option:selected').val(),
            CompletedDate: $("#CompletedDate").val(),
            RCMId: $("#chklatestRCM").val(),
        }
        $.post('/ApplicationManagement/ComplainceCustomRCM/SaveCustomRCM', { model: model }, function (res) {
            $.get('/ApplicationManagement/ComplainceCustomRCM/TabMenu', { orgId: $("#OrgId").val(), orgName: $("#OrgName").val() }, (res) => $('#ajaxresult').html(res))
            res.isSuccess ? toastr.success('Saved successfully.') : toastr.error('Something went wrong!');
        })
    }
</script>
